Chargement...
 
[Voir/Cacher menus de gauche]
[Voir/Cacher menus de droite]

Harvid est un serveur http qui décode des images fixes à partir de fichiers de films.






Informations


Site web officiel : http://x42.github.io/harvid/ Image .
Version actuelle : 0.8.2 du 2017 01 11.
Licence : GNU GPL v2.
Plateforme : GNU Linux, OSX, Windows.
Support : Jack
Développeur(s) : Robin Gareus.

Description



Citation :
traduit avec le gogole si quelqu'un à une autre traduction à proposer, qu'il s'exécute!)Lorsqu'il est utilisé avec Ardour, l'application démarre automatiquement le serveur lorsque vous ouvrez une vidéo. Vous pouvez également lancer manuellement harvid. Dans les deux cas, il sera par défaut écouter les demandes sur http://localhost:1554/ et vous pouvez interagir avec lui en utilisant n'importe quel navigateur Web.


Bon sinon qu'est ce que Harvid?
Donc on l'a dit c'est un serveur vidéo qui à la possibilité de se synchroniser à l'horloge de Jack et donc de Ardour
Le film sera affiché sous formes de miniatures sur la "Timeline" de Ardour. Il sera aussi possible d'ouvrir une fenêtre "moniteur" qui se servira de Xjadeo ce qui rendra plus confortable la visualisation.


Utilisation


Harvid est dans le serveur qui permet d'avoir le video en lecture avec xjadeo et d'en suivre la trame dans l'éditeur de Ardour 3


L'importation des fichiers vidéo doit comporter un nombre d'images par secondes compatible avec ARDOUR



Mise en œuvre


Alternative avec des liens symboliques


Pour pouvoir exporter la vidéo avec l'audio dans un fichier .avi il faut s'assurer que ffprobe et /ffmpeg soient présents sur votre système les exécutables sont dans /usr/bin/.
Ensuite Harvid a besoin de trouver son chemin vers les applications d'encodage(s) et de compression(s) de formats (audio et vidéo) .
noteRemarque
Attention ce qui suit va uniquement servir à lire une vidéo en synchro et l'afficher sous forme(s) de miniature(s) mais ce n'est pas suffisant pour faire de l'import <=> export , audio/vidéo!

Pour Cela il faut créer deux liens symboliques qui vont servir d'alias (en root):
ln -s /usr/bin/ffprobe /usr/bin/ffprobe_harvid
ln -s /usr/bin/ffmpeg /usr/bin/ffmpeg_harvid

Sous debian Wheezy ffmpeg est une application qui sera remplacée par avconv
et ffprobe et est lui même un lien symbolique de avprobe il est donc possible faire pointer les liens symboliques de cette façon:
ln -s /usr/bin/avprobe /usr/bin/ffprobe_harvid
ln -s /usr/bin/avconv /usr/bin/ffmpeg_harvid


Jusqu'ici cela concerne uniquement la lecture d'un fichier vidéo avec Ardour 3.



Décodage Encodage


Bon oui mais :

Citation :
_«J'arrive pas à décoder et encoder mes vidéosevil»
_«Minute ça vient! »


Il se trouve qu'il faut faire un petit script qui va télécharger et installer les binaire qui vont bien, on y va?
C'est parti mais avant tout il faut installer curl.


Installer Ardour Video Tools


apt-get install curl


nano install_video_tools.sh


Vous lui faite avaler ça:

#!/bin/sh
TARGETDIR="$1"
if test -z "$(which curl)"; then
echo "This script requires 'curl' - please install it" >&2
exit 1
fi
###############################################################################
### look-up architecture
case $(uname -m) in
i[3456789]86|x86|i86pc)
echo "Architecture is x86"
MULTIARCH="i386"
;;
x86_64|amd64|AMD64)
echo "Architecture is x86_64"
MULTIARCH="x86_64"
;;
*)
echo
echo "ERROR: Unknown architecture `uname -m`" >&2
exit 1
;;
esac
case $(uname) in
Linux|linux)
MULTIARCH="${MULTIARCH}-linux-gnu"
;;
*)
echo
echo "ERROR: Platform `uname` is not supported by this script" >&2
exit 1
;;
esac
echo "Multiarch triplet is '$MULTIARCH'"
###############################################################################
### install target directory
checkdir () {
DUT="$1"
CHECKPATH="${2:-yes}"
ECHO="${3:-echo}"
if test -z "$DUT"; then
echo "-1"
return
fi
if test ! -d "$DUT"; then
$ECHO "ERROR: '$DUT' is not a directory'"; >&2
echo "-1"
return
fi
if test ! -w "$DUT"; then
$ECHO "ERROR: no write permissions for '$DUT'" >&2
echo "-1"
return
fi
echo $PATH | grep -q "$DUT"
if test $? != 0; then
if test "$CHECKPATH" != "yes"; then
$ECHO "WARNING: '$DUT' is not in \$PATH" >&2
else
$ECHO "ERROR: '$DUT' is not in \$PATH" >&2
echo "-1"
return
fi
fi
echo 0
}
while test $(checkdir "$TARGETDIR" no) != 0 ; do
ARDOUR=$(ls -td /opt/Ardour* 2>/dev/null | head -n 1)
if test -n "${ARDOUR}" -a $(checkdir "${ARDOUR}/bin" no true) = 0; then
echo -n "found ardour installation in '${ARDOUR}/bin'. Install there? [Y|n] "
read a;
if test "$a" != "n" -a "$a" != "N"; then
TARGETDIR="${ARDOUR}/bin"
continue
fi
fi
if test $(checkdir "/usr/bin" yes true) = 0; then
echo -n "Can write to '/usr/bin' Install there? [Y|n] "
read a;
if test "$a" != "n" -a "$a" != "N"; then
TARGETDIR="/usr/bin"
continue
fi
fi
if test $(checkdir "${HOME}/bin" yes true) = 0; then
echo -n "Found '${HOME}/bin' in PATH. Install there? [Y|n] "
read a;
if test "$a" != "n" -a "$a" != "N"; then
TARGETDIR="${HOME}/bin"
continue
fi
fi
if test $(checkdir "/usr/local/bin" yes true) = 0; then
echo -n "Can write to '/usr/local/bin' Install there? [Y|n] "
read a;
if test "$a" != "n" -a "$a" != "N"; then
TARGETDIR="/usr/local/bin"
continue
fi
fi
echo
echo "ERROR: Cannot find a suitable installation directory" >&2
echo "run: $0 /install/path/bin" >&2
echo "'/install/path/bin' must be an existing directory and should be in \$PATH" >&2
exit 1
done
###############################################################################
### actual install procedure
echo "installing video-tools to '${TARGETDIR}'."
cd "$TARGETDIR" || exit 1
HARVID_VERSION=$(curl -s http://ardour.org/files/video-tools/harvid_version.txt)
echo "Downloading harvid-${MULTIARCH}-${HARVID_VERSION}."
curl -L --progress-bar \
http://ardour.org/files/video-tools/harvid-${MULTIARCH}-${HARVID_VERSION}.tgz \
| tar -x -z --exclude=README --exclude=harvid.1 --strip-components=1 || exit 1
XJADEO_VERSION=$(curl -s http://ardour.org/files/video-tools/xjadeo_version.txt)
echo "Downloading xjadeo-${MULTIARCH}-${XJADEO_VERSION}."
curl -L --progress-bar \
http://ardour.org/files/video-tools/xjadeo-${MULTIARCH}-${XJADEO_VERSION}.tgz \
| tar -x -z --exclude=README --exclude=xjadeo.1 --strip-components=1 || exit 1
mv xjadeo xjremote
echo "ardour video tools installed successfully."

Puis Ctrl + O suivit d'un "Entrée" pour fermer après avoir sauver.
Ouvrez un terminal root:
chmod +X install_video_tools.sh

Gardez le terminal ouvert ...
./install_video_tools.sh

À la question répondez Y. Vous pouvez dire n installer le tout ailleurs comme par exemple dans /usr/local/bin.
Ce qui vous donne (ex amd 64):
# ./install_video_tools.sh 
Architecture is x86_64
Multiarch triplet is 'x86_64-linux-gnu'
Can write to '/usr/bin' Install there? [Y|n] n
Can write to '/usr/local/bin' Install there? [Y|n] 
installing video-tools to '/usr/local/bin'.
Downloading harvid-x86_64-linux-gnu-v0.7.5.
######################################################################## 100,0%
Downloading xjadeo-x86_64-linux-gnu-v0.8.1.
######################################################################## 100,0%
ardour video tools installed successfully.

Voilà c'est fait vous pourrez donc ouvrir des vidéo et les ré-encoder au besoin à partir de ardour!

Lancer le serveur Harvid


Choisissez le fichier à importer. Si le fichier contient de l'audio l'étape suivante vous proposera de l'extraire.


Vous pourrez vérifier l'état du serveur à cette adresse http://localhost:1554/ depuis votre navigateur.


Il sera même possible d'extraire la bande son d'une vidéo pour la placer dans votre éditeur!


Voici à titre d'information la fenêtre d'exportation depuis Ardour.





Installation

[+]

Liens et commentaires


Un peu de doc in inglish: ( Image )





Collaborateur(s) de cette page : olinuxx et utilisateur_anonyme .
Page dernièrement modifiée le Jeudi 21 mai 2020 16:30:05 par olinuxx.
Le contenu de cette page est licencié sous les termes licence.

Documentation [Afficher / Cacher]

Connexion
[Afficher / Cacher]



Mégaphone [Afficher / Cacher]

GypsyPlayer, 10:33, ven. 03 Jul 2020: Merci Olinuxx ! J'épluche le site depuis maintenant 2-3 jours, y a plein plein d'infos c'est top !
olinuxx, 10:57, jeu. 02 Jul 2020: Bonjour et bienvenue à GypsyPlayer cool
olinuxx, 13:34, mer. 01 Jul 2020: Bonjour et bienvenue à nevastech cool
farvardin, 10:29, mer. 01 Jul 2020: @Sahaathyva original comme outil ! Un piano roll pour du chiptune à la place du traditionnel tracker. Pas mal du tout !
pierrotlo, 09:12, mer. 01 Jul 2020: Salut tous. Pour les nostalgiques ou les curieux. Quasar Beach a développé un clone du mythique Fairlight CMI IIx. [Lien] ça tourne sous Linux
r1, 23:49, mar. 30 Jun 2020: @Sahaathyva merci pour le tuyau et c'est sous license MIT : [Lien] par contre du c# :-D
Sahaathyva, 23:02, mar. 30 Jun 2020: Pour les amateurs de Chiptune (R1?) , voici : https://famistudio.org/ Première version compatible linux(cool!)
olinuxx, 14:48, sam. 27 Jun 2020: Bonjour et bienvenue à Desloric, steve29, et garzenton cool
olinuxx, 15:27, mer. 24 Jun 2020: FullishB : il semble y avoir un soucis avec ton adresse courriel. Contacte nous : [Lien]
olinuxx, 15:20, mer. 24 Jun 2020: Bonjour et bienvenue à ILOU, Navajo, et FullishB cool
bluedid29, 22:50, mar. 23 Jun 2020: Cool jmechmech :-)
jmechmech, 17:23, mar. 23 Jun 2020: hello! je me suis amusé à faire une vidéo en mélangeant piano, effets chorus et overdrive (merci fafaman) et effets vidéos avec ProjectM, que du libre donc...content de partager :-)[Lien]